# This file was created automatically by SWIG.
import novasc
class BodyPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,novasc=novasc):
        if self.thisown == 1 :
            novasc.delete_Body(self)
    def __setattr__(self,name,value):
        if name == "type" :
            novasc.Body_type_set(self,value)
            return
        if name == "number" :
            novasc.Body_number_set(self,value)
            return
        if name == "name" :
            novasc.Body_name_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "type" : 
            return novasc.Body_type_get(self)
        if name == "number" : 
            return novasc.Body_number_get(self)
        if name == "name" : 
            return novasc.Body_name_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C Body instance at %s>" % (self.this,)
class Body(BodyPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(novasc.new_Body,_args,_kwargs)
        self.thisown = 1




class LocationPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,novasc=novasc):
        if self.thisown == 1 :
            novasc.delete_Location(self)
    def __setattr__(self,name,value):
        if name == "lat" :
            novasc.Location_lat_set(self,value)
            return
        if name == "lon" :
            novasc.Location_lon_set(self,value)
            return
        if name == "h" :
            novasc.Location_h_set(self,value)
            return
        if name == "temp" :
            novasc.Location_temp_set(self,value)
            return
        if name == "pres" :
            novasc.Location_pres_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "lat" : 
            return novasc.Location_lat_get(self)
        if name == "lon" : 
            return novasc.Location_lon_get(self)
        if name == "h" : 
            return novasc.Location_h_get(self)
        if name == "temp" : 
            return novasc.Location_temp_get(self)
        if name == "pres" : 
            return novasc.Location_pres_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C Location instance at %s>" % (self.this,)
class Location(LocationPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(novasc.new_Location,_args,_kwargs)
        self.thisown = 1




class CatPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,novasc=novasc):
        if self.thisown == 1 :
            novasc.delete_Cat(self)
    def __setattr__(self,name,value):
        if name == "catalog" :
            novasc.Cat_catalog_set(self,value)
            return
        if name == "starname" :
            novasc.Cat_starname_set(self,value)
            return
        if name == "starnumber" :
            novasc.Cat_starnumber_set(self,value)
            return
        if name == "ra" :
            novasc.Cat_ra_set(self,value)
            return
        if name == "dec" :
            novasc.Cat_dec_set(self,value)
            return
        if name == "promora" :
            novasc.Cat_promora_set(self,value)
            return
        if name == "promodec" :
            novasc.Cat_promodec_set(self,value)
            return
        if name == "parallax" :
            novasc.Cat_parallax_set(self,value)
            return
        if name == "radialvelocity" :
            novasc.Cat_radialvelocity_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "catalog" : 
            return novasc.Cat_catalog_get(self)
        if name == "starname" : 
            return novasc.Cat_starname_get(self)
        if name == "starnumber" : 
            return novasc.Cat_starnumber_get(self)
        if name == "ra" : 
            return novasc.Cat_ra_get(self)
        if name == "dec" : 
            return novasc.Cat_dec_get(self)
        if name == "promora" : 
            return novasc.Cat_promora_get(self)
        if name == "promodec" : 
            return novasc.Cat_promodec_get(self)
        if name == "parallax" : 
            return novasc.Cat_parallax_get(self)
        if name == "radialvelocity" : 
            return novasc.Cat_radialvelocity_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C Cat instance at %s>" % (self.this,)
class Cat(CatPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(novasc.new_Cat,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------

AppStar = novasc.AppStar

AppPlanet = novasc.AppPlanet

TopoStar = novasc.TopoStar

TopoPlanet = novasc.TopoPlanet

VirtualStar = novasc.VirtualStar

VirtualPlanet = novasc.VirtualPlanet

LocalStar = novasc.LocalStar

LocalPlanet = novasc.LocalPlanet

AstroStar = novasc.AstroStar

AstroPlanet = novasc.AstroPlanet

MeanStar = novasc.MeanStar

SiderealTime = novasc.SiderealTime

Equ2Hor = novasc.Equ2Hor

Cal2JD = novasc.Cal2JD

JD2Cal = novasc.JD2Cal

EarthTilt = novasc.EarthTilt



#-------------- VARIABLE WRAPPERS ------------------

FN1 = novasc.FN1
FN0 = novasc.FN0
T0 = novasc.T0
KMAU = novasc.KMAU
MAU = novasc.MAU
C = novasc.C
GS = novasc.GS
EARTHRAD = novasc.EARTHRAD
F = novasc.F
OMEGA = novasc.OMEGA
TWOPI = novasc.TWOPI
RAD2SEC = novasc.RAD2SEC
DEG2RAD = novasc.DEG2RAD
RAD2DEG = novasc.RAD2DEG
